> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toolzz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Folder

> Endpoint to create a folder

## Body Parameters

<ParamField path="worksapceId" type="string" required>
  The unique identifier of the workspace to create a folder for.
</ParamField>

<ParamField path="foldername" type="string" required>
  The name for the new folder.
</ParamField>

## Response Description

Below you will see the description of the function create a folder.

<ResponseField name="folder" type="object[]" required>
  The worksapce folder information.

  <Expandable title="messages properties">
    <ResponseField name="id" type="string" required>
      The folder unique identifier code.
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      Data about folder creation.
    </ResponseField>

    <ResponseField name="updatedAt" type="string">
      Data about folder update.
    </ResponseField>

    <ResponseField name="name" type="string">
      Folders name.
    </ResponseField>

    <ResponseField name="workspaceId" type="string">
      Unique identifier of workspace that got folders listed.
    </ResponseField>
  </Expandable>
</ResponseField>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.